Skip to main content
`Ctrl`+`K`

# TaoGetMaximumFunctionEvaluations

Gets a maximum number of function evaluations allowed for a `TaoSolve()`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetMaximumFunctionEvaluations(Tao tao, PetscInt *nfcn)

Logically Collective

## Input Parameter

- tao - the `Tao` solver context

## Output Parameter

- nfcn - the maximum number of function evaluations

## See Also

TAO: Optimization Solvers, `Tao`, `TaoSetMaximumFunctionEvaluations()`, `TaoGetMaximumIterations()`

## Level

intermediate

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages